body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 14px;
    background-color: #444444;
    color: white;
}

.container {
    margin: auto;
    padding: 0px 10px;
}
@media (min-width: 500px) {
    .container {
        width: 500px;
    }
}

header {
    border-bottom: 1px solid gray;
    padding: 10px 0px;
}

#logged-in-page header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav {
    border-bottom: 1px solid gray;
    padding: 10px 0px;
    display: flex;
    justify-content: space-between;
}

.layout {
    padding: 10px 0px;
}

.hidden {
    display: none;
}

h1 {
    color: #e69138;
    text-transform: uppercase;
}

header h1 {
    font-size: 20px;
    margin: 0;
}

a {
    color: white;
}

header a {
    font-weight: 600;
    text-decoration: none;
}

nav a {
    font-weight: 600;
    text-decoration: none;
}

nav a.active-tab {
    color: #f0bd87;
}

.pw-form label {
    display: block;
    margin-bottom: 5px;
}

.pw-form input, select{
    width: 100%;
    padding: 5px;
    box-sizing: border-box;
}

.pw-form button {
    padding: 5px 15px;
}

.pw-form .form-group {
    margin-bottom: 15px;
}

#alias-table {
    width: 100%;
    margin-top: 20px;
    border-collapse: collapse;
}

#alias-table td {
    border: 1px solid gray;
    padding: 5px;
}

#alias-table td.enabled-cell {
    width: 50px;
}

.onoff {
    font-family: monospace;
    text-align: center;
}

.onoff.alias-enabled {
    background-color: darkgreen;
}

.onoff.alias-disabled {
    background-color: darkred;
}

ul.messages {
    margin: 0;
    padding: 0;
    list-style: none;
}

ul.messages li {
    border: 1px solid grey;
    padding: 5px;
    margin: 15px 0px;
}

ul.messages li.error {
    background-color: lightcoral;
    color: darkred;
}

ul.messages li.success {
    background-color: lightgreen;
    color: darkgreen;
}

table {
    width: 100%;
    border-collapse: collapse;
}

table td {
    border: 1px solid gray;
    padding: 5px;
}

#app-passwords-table {
    margin-top: 20px;
}

#app-passwords-table td.date-cell{
    width: 120px;
}

#app-passwords-table td.delete-cell{
    width: 30px;
    text-align: center;
}

#app-passwords-table button {
    width: 25px;
}

dialog {
	padding: 10px;
	width: 90%;
}
@media (min-width: 500px){
	dialog {
		width: 450px;
	}
}

dialog::backdrop {
    background-color: black;
    opacity: 0.75;
}

#show-app-password-dialog input{
    width: 100%;
    padding: 5px;
    margin-top: 15px;
    box-sizing: border-box;
    font-family: monospace;
}

#show-app-password-dialog button {
    padding: 5px 15px;
    margin-top: 15px;
}